#include <afx.h>
#include <afxwin.h>
#pragma hdrstop

#include <CHM/CHMeditOutputLog.h>

void CHMeditOutputLog::OutputLine(const CHMchar* pLine)
{
   CString Dummy;
   pEdit->GetWindowText(Dummy);
   // We need to empty the contents of the control
   // everytime it gets beyond the limit allowed.
   if (Dummy.GetLength() > 16000)
   {
      Dummy = Dummy.Mid(8000);
      pEdit->SetWindowText(Dummy);
   }
   pEdit->SetSel(Dummy.GetLength(), Dummy.GetLength());
   pEdit->ReplaceSel(pLine);
   pEdit->GetWindowText(Dummy);
   pEdit->SetSel(Dummy.GetLength(), Dummy.GetLength());
   pEdit->ReplaceSel(CHM_TEXT("\r\n"));
}
