//------------------------------------------------------------------------
//
// Copyright (C) 1997-2006 iNTERFACEWARE Inc.  All Rights Reserved
//
// Module:  C++ Example
// 
// Description
//
//
// Author: iNTERFACEWARE
// Date:   Wed 09/09/1998 
//---------------------------------------------------------------------------
#include <CHM/CHMpreCompHead.h>
#include "PrefixTestappEngine.h"
#pragma hdrstop

#include <iostream>
using namespace std;

#include <CHM/CHMutil.h>
#include <CHM/CHMerrorClass.h>

/* template code */

void PrefixTestappEngine::ParseMessage
(
   const char* FlatWire, 
   size_t TransportIndex
)
{  
   try
   {
      PrefixTestEngine::ParseMessage(FlatWire, TransportIndex);
   }
   catch (const CHMerror& Error)
   {
      cout << "Error: " << endl;
      cout << Error.Description() << endl;
      OutputLine("Error:");
      OutputLine(Error.Description());
   }
   catch (...)
   {
      cout << "Unknown exception." << endl;
      OutputLine("Unknown exception.");
   }
}
